
%global meadversion 5.3.36
%global namedversion 5.3.36.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead
%bcond_without c3p0

%{?scl:%scl_package hibernate-project}
%{!?scl:%global pkg_name %{name}}

%define maven_version 5.3.36.Final-redhat-00001

Name:           %{?scl_prefix}hibernate
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Relational persistence and query service
Group:          Development/Java

%if %with mead
Source100: hibernate-project-5.3.36.Final-redhat-00001-project-sources.tar.gz
%endif

License:        LGPLv2+
URL:            http://www.hibernate.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/hibernate-project-%{namedversion}-%{release}-root

%description
Hibernate is a powerful, ultra-high performance object/relational
persistence and query service for Java. Hibernate lets you develop
persistent objects following common Java idiom - including
association, inheritance, polymorphism, composition and the Java
collections framework. Extremely  fine-grained, richly typed object
models are  possible. The Hibernate Query Language, designed as a
"minimal" object-oriented extension to SQL, provides an elegant
bridge between the object and  relational worlds. Hibernate is now
the most popular ORM solution for Java.

%package -n %{?scl_prefix}hibernate-core
Summary:        Hibernate Core
Group:          Development/Java

Provides:       %{?scl_prefix}hibernate-core = %{epoch}:%{version}-%{release}
Obsoletes:      %{?scl_prefix}hibernate-infinispan < %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}hibernate-core
Hibernate Core module.

%package -n %{?scl_prefix}hibernate-c3p0
Summary:        Hibernate C3p0
Group:          Development/Java

Provides:       %{?scl_prefix}hibernate-c3p0 = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}hibernate-c3p0
Hibernate C3p0 module.

%package -n %{?scl_prefix}hibernate-entitymanager
Summary:        Hibernate EntityManager
Group:          Development/Java

Provides:       %{?scl_prefix}hibernate-entitymanager = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}hibernate-entitymanager
Hibernate EntityManager module.

%package -n %{?scl_prefix}hibernate-envers
Summary:        Hibernate Envers
Group:          Development/Java

Provides:       %{?scl_prefix}hibernate-envers = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}hibernate-envers
Hibernate Envers module.

%if 0
%package -n %{?scl_prefix}hibernate-infinispan
Summary:        Hibernate Infinispan
Group:          Development/Java

Provides:       %{?scl_prefix}hibernate-infinispan = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}hibernate-infinispan
Hibernate Infinispan module.
%endif

%package -n %{?scl_prefix}hibernate-java8
Summary:        Java8-specific Hibernate O/RM functionality
Group:          Development/Java


%description -n %{?scl_prefix}hibernate-java8
Support for Java8-specific features - mainly Java8 Date/Time (JSR 310).

%if %with javadoc
%package javadoc
Summary:        Javadoc for hibernate
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n hibernate-project-%{namedversion} -T -b 100
#%setup -q -n hibernate-project-null-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/hibernate-core-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-core-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-core-%{namedversion}-sources.jar
%if %with c3p0
%{__cp} -p %{_sourcedir}/hibernate-c3p0-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-c3p0-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-c3p0-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-c3p0-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-entitymanager-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-entitymanager-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-entitymanager-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-entitymanager-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-envers-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-envers-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-envers-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-envers-%{namedversion}-sources.jar
%if 0
%{__cp} -p %{_sourcedir}/hibernate-infinispan-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-infinispan-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-infinispan-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-infinispan-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-java8-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-java8-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-java8-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-java8-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# etc
%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}
%{__cp} -p etc/* %{buildroot}%{_sysconfdir}/%{name}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/hibernate-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/hibernate-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/hibernate-%{namedversion} -x META-INF/\*
%{__ln_s} hibernate-%{namedversion} %{buildroot}%{_javadocdir}/hibernate
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc changelog.txt CONTRIBUTING.md README.md
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/ehcache.xml
%config(noreplace) %{_sysconfdir}/%{name}/hibernate-service.xml
%config(noreplace) %{_sysconfdir}/%{name}/hibernate.cfg.xml
%config(noreplace) %{_sysconfdir}/%{name}/hibernate.properties
%config(noreplace) %{_sysconfdir}/%{name}/hibernate.properties.template
%config(noreplace) %{_sysconfdir}/%{name}/log4j2.properties

%files -n %{?scl_prefix}hibernate-core
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-core-%{namedversion}.jar
%{_javadir}/hibernate-core.jar
%{_javadir}/hibernate-core-%{namedversion}-sources.jar
%{_javadir}/hibernate-core-sources.jar

%if %with c3p0
%files -n %{?scl_prefix}hibernate-c3p0
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-c3p0-%{namedversion}.jar
%{_javadir}/hibernate-c3p0.jar
%{_javadir}/hibernate-c3p0-%{namedversion}-sources.jar
%{_javadir}/hibernate-c3p0-sources.jar
%endif

%files -n %{?scl_prefix}hibernate-entitymanager
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-entitymanager-%{namedversion}.jar
%{_javadir}/hibernate-entitymanager.jar
%{_javadir}/hibernate-entitymanager-%{namedversion}-sources.jar
%{_javadir}/hibernate-entitymanager-sources.jar

%files -n %{?scl_prefix}hibernate-envers
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-envers-%{namedversion}.jar
%{_javadir}/hibernate-envers.jar
%{_javadir}/hibernate-envers-%{namedversion}-sources.jar
%{_javadir}/hibernate-envers-sources.jar

%if 0
%files -n %{?scl_prefix}hibernate-infinispan
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-infinispan-%{namedversion}.jar
%{_javadir}/hibernate-infinispan.jar
%{_javadir}/hibernate-infinispan-%{namedversion}-sources.jar
%{_javadir}/hibernate-infinispan-sources.jar
%endif

%files -n %{?scl_prefix}hibernate-java8
%defattr(0644,root,root,0755)
%{_javadir}/hibernate-java8-%{namedversion}.jar
%{_javadir}/hibernate-java8.jar
%{_javadir}/hibernate-java8-%{namedversion}-sources.jar
%{_javadir}/hibernate-java8-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/hibernate-%{namedversion}
%{_javadocdir}/hibernate
%endif

%changelog
* Wed Feb 28 2024 Harsha Cherukuri <hcheruku@redhat.com> - 5.3.36-1.Final_redhat_00001.1
- Wrapper build 5.3.36.Final-redhat-00001

* Wed Feb 28 2024 cpaas-ops <cpaas-ops@redhat.com> - 5.3.33-3.Final_redhat_00001.1
- Built by CPaaS

* Tue Jan 09 2024 Harsha Cherukuri <hcheruku@redhat.com> - 5.3.33-2.Final_redhat_00001.1
- Wrapper build 5.3.33.Final-redhat-00001

* Thu Jan 04 2024 cpaas-ops <cpaas-ops@redhat.com> - 5.3.33-1.Final_redhat_00001.1
- Built by CPaaS

* Wed Jan 03 2024 cpaas-ops <cpaas-ops@redhat.com> - 5.3.32-3.Final_redhat_00001.1
- Built by CPaaS

* Tue Dec 19 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.3.32-2.Final_redhat_00001.1
- Built by CPaaS

* Fri Oct 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.3.32-1.Final_redhat_00001.1
- Built by CPaaS

* Wed Aug 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.3.31-1.Final_redhat_00001.1
- Built by CPaaS

* Thu Jun 15 2023 Permaine Cheung <pcheung@redhat.com> - 5.3.30-1.Final_redhat_00001.1
- 5.3.30.Final-redhat-00001

* Thu Jun 15 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.3.29-2.Final_redhat_00001.1
- Built by CPaaS

* Tue Apr 18 2023 Yong Yang <yyang@redhat.com> - 5.3.29-1.Final_redhat_00001.1
- 5.3.29.Final-redhat-00001

* Tue Apr 18 2023 Yong Yang <yyang@redhat.com> - 5.1.17-1.Final_redhat_00002.1
- 5.3.29.Final-redhat-00001

* Mon Apr 17 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.1.17-1.Final_redhat_00002.1
- Built by CPaaS

* Mon Aug 22 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.3.28-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Jun 14 2022 Harsha Cherukuri <hcheruku@redhat.com> - 5.3.27-1.Final_redhat_00001.1
- Building new version

* Mon Apr 25 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.3.26-1.Final_redhat_00002.2
Built by CPaaS



* Thu Apr 21 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.3.26-1.Final_redhat_00002.1
Built by CPaaS



* Wed Apr 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.3.26-1.Final_redhat_00002.1
Built by CPaaS



* Wed Feb 09 2022 Harsha Cherukuri <hcheruku@redhat.com> - 5.3.25-1.Final_redhat_00002.1
- Rebuilding with the fix to .spec file.

* Wed Feb 09 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.3.25-1.Final_redhat_00002.1
Built by CPaaS

* Tue Nov 30 2021 cpaas-ops <cpaas-ops@redhat.com> - 5.3.24-1.Final_redhat_00001.1
Built by CPaaS

* Mon Oct 11 2021 cpaas-ops <cpaas-ops@redhat.com> - 5.3.23-2.Final_redhat_00001.1
Built by CPaaS

* Fri Oct 08 2021 cpaas-ops <cpaas-ops@redhat.com> - 5.3.23-1.Final_redhat_00001.1
Built by CPaaS

* Fri Jul 23 2021 Yong Yang <yyang@redhat.com> - 5.3.21-1.Final_redhat_00001.1
- RPM wrapper build 5.3.21.Final-redhat-00001

* Mon Apr 19 2021 cpaas-ops <cpaas-ops@redhat.com> - 5.3.18-2.Final_redhat_00001.1
Built by CPaaS

* Mon Aug 10 2020 Yong Yang <yyang@redhat.com> - 5.3.18-1.Final_redhat_00001.1
- RPM wrapper build 5.3.18.Final-redhat-00001

* Fri Aug 07 2020 Yong Yang <yyang@redhat.com> - 5.3.18-1.Final_redhat_00001.1
- RPM wrapper build 5.3.18.Final-redhat-00001

* Mon Nov 11 2019 Yong Yang <yyang@redhat.com> - 5.3.14-1.Final_redhat_00001.1
- RPM wrapper build 5.3.14.Final-redhat-00001

* Thu Sep 26 2019 Yong Yang <yyang@redhat.com> - 5.3.12-1.Final_redhat_00001.1
- RPM wrapper build 5.3.12.Final-redhat-00001

* Wed Sep 25 2019 Yong Yang <yyang@redhat.com> - 5.3.10-1.Final_redhat_00001.1
- RPM wrapper build 5.3.12.Final-redhat-00001

* Thu May 16 2019 Permaine Cheung <pcheung@redhat.com> - 5.3.10-1.Final_redhat_00001.1
- 5.3.10.Final_redhat_00001-1

* Thu Mar 07 2019 Permaine Cheung <pcheung@redhat.com> - 5.3.9-2.Final_redhat_00002.1
- 5.3.9.Final-redhat-00001

* Thu Mar 07 2019 Permaine Cheung <pcheung@redhat.com> - 5.3.9-1.Final_redhat_00002.1
- 5.3.9.Final-redhat-00001

* Thu Mar 07 2019 Permaine Cheung <pcheung@redhat.com> - 5.3.9-1.Final_redhat_00002.1
- 5.3.9.Final-redhat-00001

* Thu Mar 07 2019 Permaine Cheung <pcheung@redhat.com> - 5.3.9.Final_redhat_00002.1
- 5.3.9.Final-redhat-00002

* Thu Oct 18 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.3.7-1.Final_redhat_00001.1
- upgrade to 5.3.7.Final-redhat-00001

* Wed Aug 29 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.3.6-1.Final_redhat_00001.1
- upgrade to 5.3.6.Final-redhat-00001

* Tue Aug 28 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.3.5-1.Final_redhat_00001.1
- upgrade to 5.3.5.Final-redhat-00001

* Mon Jul 30 2018 Permaine Cheung <pcheung@redhat.com> - 5.3.1-2.Final_redhat_1.1
- Rewrap to remove R: hibernate-entitymanager

* Wed Jul 04 2018 Permaine Cheung <pcheung@redhat.com> - 5.3.1-1.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Tue Jul 03 2018 Permaine Cheung <pcheung@redhat.com> - 5.3.1-1.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Tue Jun 05 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.3.1-1.Final_redhat_1.1
- upgrade to 5.3.1.Final-redhat-1

* Tue Jun 05 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.3.1-1.Final_redhat_1.1
- upgrade to 5.3.1.Final-redhat-1

* Thu Mar 22 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.1.13-1.Final_redhat_1.1
- upgrade to 5.1.13.Final-redhat-1

* Tue Jan 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.1.12-1.Final_redhat_1.1
- upgrade to 5.1.12.Final-redhat-1

* Sun Aug 20 2017 Petr Sakar <psakar@redhat.com> - 5.1.10-1.Final_redhat_1.1
- upgrade to 5.1.10.Final-redhat-1

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 5.1.9-2.Final_redhat_1.1
- upgrade to 5.1.9.Final-redhat-1

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 5.1.9-1.redhat_1.1
- upgrade to 5.1.9.redhat-1

* Mon Jun 26 2017 Petr Sakar <psakar@redhat.com> - 5.1.8-1.Final_redhat_1.1
- upgrade to 5.1.8.Final-redhat-1

* Mon May 22 2017 Petr Sakar <psakar@redhat.com> - 5.1.7-1.Final_redhat_1.1
- upgrade to 5.1.7.Final-redhat-1

* Wed May 10 2017 Petr Sakar <psakar@redhat.com> - 5.1.6-1.Final_redhat_1.1
- upgrade to 5.1.6.Final-redhat-1

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 5.1.5-1.Final_redhat_1.1
- upgrade to 5.1.5.Final-redhat-1

* Fri Jan 20 2017 Petr Sakar <psakar@redhat.com> - 5.1.4-1.Final_redhat_1.1
- upgrade to 5.1.4.Final-redhat-1

* Wed Nov 30 2016 Petr Sakar <psakar@redhat.com> - 5.1.3-1.Final_redhat_1.1
- upgrade to 5.1.3.Final-redhat-1

* Wed Aug 10 2016 Petr Sakar <psakar@redhat.com> - 5.0.10-1.Final_redhat_1.1
- upgrade to 5.0.10.Final-redhat-1

* Wed Mar 16 2016 Petr Sakar <psakar@redhat.com> - 5.0.9-1.Final_redhat_1.1
- upgrade to 5.0.9.Final-redhat-1

* Thu Feb 18 2016 Petr Sakar <psakar@redhat.com> - 5.0.8-1.Final_redhat_1.1
- upgrade to 5.0.8.Final-redhat-1

* Thu Jan 28 2016 Petr Sakar <psakar@redhat.com> - 5.0.7-1.Final_redhat_1.1
- Upgrade to 5.0.7.Final-redhat-1

* Wed Jan 06 2016 Petr Sakar <psakar@redhat.com> - 5.0.6-1.Final_redhat_1.1
- Upgrade to 5.0.6.Final-redhat-1

* Wed Jan 06 2016 Petr Sakar <psakar@redhat.com> - 5.0.5-3.Final_redhat_2.1
- Upgrade to 5.0.6.Final-redhat-1

* Mon Dec 14 2015 David Walluck <dwalluck@redhat.com> - 5.0.5-2.Final_redhat_1.1
- add hibernate-java8

* Fri Dec 04 2015 David Walluck <dwalluck@redhat.com> - 5.0.5-1.Final_redhat_1.1
- 5.0.5.Final

* Thu Sep 24 2015 David Walluck <dwalluck@redhat.com> - 5.0.1-2.Final_redhat_2.1
- update manifest

* Thu Sep 24 2015 David Walluck <dwalluck@redhat.com> - 5.0.1-1.Final_redhat_1.1
- 5.0.1.Final

* Wed Sep 02 2015 David Walluck <dwalluck@redhat.com> - 5.0.0-3.Final_redhat_1.1
- 5.0.0.Final

* Thu Jul 23 2015 David Walluck <dwalluck@redhat.com> - 5.0.0-2.CR2_redhat_1.1
- 5.0.0.CR2

* Thu Jul 23 2015 David Walluck <dwalluck@redhat.com> - 5.0.0-1.CR1_redhat_1.1
- 5.0.0.CR1

* Wed Jul 15 2015 Fernando Nasser <fnasser@redhat.com> - 4.3.10-1.Final_redhat_1.1
- Drop major from package name

* Tue Jun 16 2015 David Walluck <dwalluck@redhat.com> - 4.3.10-2.Final_redhat_1.1
- fix install dir

* Wed Jun 03 2015 David Walluck <dwalluck@redhat.com> - 4.3.10-1.Final_redhat_1.1
- 4.3.10.Final

* Fri Feb 20 2015 David Stahl <dstahl@redhat.com> - 4.2.18-2.Final_redhat_2.1
- BZ1017619 4.2.18.Final-redhat-2
- Update dependencies with invalid OSGi versions

* Thu Jan 29 2015 David Stahl <dstahl@redhat.com> - 4.2.18-1.Final_redhat_1.1
- BZ1182265 Upgrade to 4.2.18.Final-redhat-1

* Mon Jan 05 2015 David Stahl <dstahl@redhat.com> - 4.2.17-1.Final_redhat_1.1
- BZ1173454 Upgrade to 4.2.17.Final-redhat-1

* Thu Nov 20 2014 David Stahl <dstahl@redhat.com> - 4.2.16-1.Final_redhat_1.1
- BZ1121629 Upgrade to 4.2.16.Final-redhat-1

* Wed Oct 08 2014 David Stahl <dstahl@redhat.com> - 4.2.14-9.SP4_redhat_1.1
- [BZ-1145704] Update to 4.2.14.SP4-redhat-1

* Thu Aug 28 2014 David Stahl <dstahl@redhat.com> - 4.2.14-8.SP3_redhat_1.1
- [BZ-1134747] Upgrade to 4.2.14.SP3-redhat-1

* Mon Aug 18 2014 David Stahl <dstahl@redhat.com> - 4.2.14-7.SP2_redhat_1.1
- [BZ-1121630] Update to 4.2.14.SP2-redhat-1

* Fri Jul 25 2014 David Stahl <dstahl@redhat.com> - 4.2.14-6.SP1_redhat_4.1
- [BZ-1117235] - Respin with new c3p0 jar

* Tue Jul 22 2014 David Stahl <dstahl@redhat.com> - 4.2.14-5.SP1_redhat_3.1
- [BZ-1117235] Respin with c3p0 0.9.1.2-redhat-1

* Mon Jul 21 2014 David Stahl <dstahl@redhat.com> - 4.2.14-4.SP1_redhat_2.1
- [BZ-1117235] Respin with updated c3p0 jar

* Thu Jul 17 2014 David Walluck <dwalluck@redhat.com> - 4.2.14-3.SP1_redhat_1.1
- fix Provides

* Wed Jul 02 2014 David Stahl <dstahl@redhat.com> - 4.2.14-2.SP1_redhat_1.1
- [BZ-1111725] Upgrade to 4.2.14.SP1-redhat-1

* Wed Jun 25 2014 David Stahl <dstahl@redhat.com> - 4.2.14-1.Final_redhat_1.1
- [BZ-1111725] Update to 4.2.14.Final-redhat-1

* Thu May 29 2014 David Stahl <dstahl@redhat.com> - 4.2.13-1.Final_redhat_1.1
- [BZ-1100862] - Upgrade to 4.2.13.Final-redhat-1

* Tue May 13 2014 David Stahl <dstahl@redhat.com> - 4.2.12-2.Final_redhat_1.1
- Rewrap with c3p0 subpackage

* Tue May 13 2014 David Stahl <dstahl@redhat.com> - 4.2.12-2.Final_redhat_1.1
- Enable c3p0 subpackage

* Wed Apr 09 2014 David Stahl <dstahl@redhat.com> - 4.2.12-1.Final_redhat_1.1
- Update to 4.2.12.Final-redhat-1

* Thu Mar 20 2014 David Stahl <dstahl@redhat.com> - 4.2.11-1.Final_redhat_1.1
- 

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-11.SP2_redhat_1.1
- Finally do a RHEL-7 wrapper

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-11.SP2_redhat_1.1
- Finally do a RHEL-7 wrapper

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-11.SP2_redhat_1.1
- Finally do a RHEL-7 wrapper

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-11.SP2_redhat_1.1
- Finally do a RHEL-7 wrapper

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-11.SP2_redhat_1.1
- Finally do a RHEL-7 wrapper

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-10.SP2_redhat_1.1
- Test of automatic RHEL-7 wrapper builds

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-10.SP2_redhat_1.1
- Test of automatic RHEL-7 wrapper builds

* Mon Dec 09 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-9.SP2_redhat_1.1
- Re-wrap tp get RHEL-7 build done

* Mon Dec 09 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-9.SP2_redhat_1.1
- Re-wrap tp get RHEL-7 build done

* Mon Dec 09 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-8.SP2_redhat_1.1
- Wrap new built in MEAD build of hibernate4

* Mon Dec 09 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-8.SP2_redhat_1.1
- Wrap new built in MEAD build of hibernate4

* Fri Nov 15 2013 Dustin Kut Moy Cheung <dcheung@redhat.com> - 4.2.7-6.4.SP2_redhat_1%{nil}
- Plain re-wrap

* Thu Nov 14 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-5.4.SP2_redhat_1%{nil}
- Plain re-wrap

* Wed Nov 13 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-4.4.SP2_redhat_1%{nil}
- Wrap SP2 build

* Mon Nov 11 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-3.3.SP1_redhat_3%{nil}
- Rewrap hibernate4 built by pgier

* Thu Nov 07 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-2.2.SP1_redhat_2%{nil}
Wrap new hibernate4 build

* Tue Sep 03 2013 David Walluck <dwalluck@redhat.com> - 4.2.0-3.7.SP1_redhat_1%{nil}
- update for 4.2.5.Final

* Fri Jul 26 2013 David Walluck <dwalluck@redhat.com> - 4.2.0-2.7.SP1_redhat_1%{nil}
- change suffix macro name

* Fri Jul 26 2013 David Walluck <dwalluck@redhat.com> - 4.2.0-2.7.SP1_redhat_1%{nil}
- fix package names
- add minimal dependencies between subpackages

* Fri Jul 26 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-1
- release
